//
// Added 19/11/2014 8:03:01 AM
//
// Use 'ImageTouched' to detect 'current' object compare to values such as iWinbutton0
// to determine the object for which touch has just been released.
//
// Note 1. Return will only work from 'main', so if you need to exit from an 'event',
//         or a keyboard handler, or a 'Magic Object', you will need to set a flag and act
//         on that flag with some 'Magic Code' in the 'main loop'
//      2. SystemReset is another exit option, but generally does not seem as 'clean' as
//         Return, although it might work better in your implementation.
//
    if (ImageTouched == iWinbutton0)            // mem heap
        gfx_MoveTo(0,0) ;
        print(mem_Heap()) ;
    else if (ImageTouched == iWinbutton1)       // exit Genie, load the SPE application
        gfx_Cls();
        // send a message to the host
        file_Exec("spe213P.4XE", 0) ;    // for Picaso
        //file_Exec("spe211D.4XE", 0) ;  // for Diablo16
    else if (ImageTouched == iWinbutton2)       // System Reset
        SystemReset() ;
    endif

